import java.util.Scanner;

public class Lunar {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int i, maior, menor, soma, teste = 1;
        int[] temperatura = new int[10000];
        int n, m;

        n = scanner.nextInt();
        m = scanner.nextInt();

        while (n > 0) {
            
            soma = 0;
            for (i = 0; i < m; i++) {
                temperatura[i] = scanner.nextInt();
                soma += temperatura[i];
            }

            maior = soma;
            menor = soma;

            for (i = m; i < n; i++) {
                temperatura[i] = scanner.nextInt();
                soma = soma + temperatura[i] - temperatura[i - m];
                if (soma > maior) {
                    maior = soma;
                } else if (soma < menor) {
                    menor = soma;
                }
            }
            System.out.println("Teste " + teste++);
            System.out.println(menor / m + " " + maior / m);

            n = scanner.nextInt();

            if( n == 0){
                break;
            }

            m = scanner.nextInt();

            if (n > 0) {
                System.out.println();
            }
        }
        scanner.close();
    }
}